LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Enterprise Linux Forums > Linux - Enterprise
User Name
Password
Linux - Enterprise This forum is for all items relating to using Linux in the Enterprise.

Notices


Reply
  Search this Thread
Old 09-02-2010, 02:25 PM   #1
custangro
Senior Member
 
Registered: Nov 2006
Location: California
Distribution: Fedora , CentOS , RHEL
Posts: 1,978
Blog Entries: 1

Rep: Reputation: 209Reputation: 209Reputation: 209
Trouble Installing Spacewalk on RHEL 5


The reason I'm having trouble is that the spacekwalk repos/rpms require oracle-instantclient-sqlplus-10.2.0.4-1.i386.rpm

The error looks like this...

Code:
Error: Missing Dependency: oracle-instantclient-sqlplus >= 10.2.0 is needed by package spacewalk-oracle-1.1.6-1.el5.noarch (spacewalk)
The issue is that on the Oracle website there seems to be only oracle-instantclient11.2-sqlplus-11.2.0.1.0-1.i386.rpm

Is there a workaround? ORRR...does anyone know where I can download oracle-instantclient11.2-sqlplus-11.2.0.1.0-1.i386.rpm
?

Thanks

-C
 
Old 09-02-2010, 03:19 PM   #2
smoker
Senior Member
 
Registered: Oct 2004
Distribution: Fedora Core 4, 12, 13, 14, 15, 17
Posts: 2,279

Rep: Reputation: 249Reputation: 249Reputation: 249
It doesnt require oracle-instantclient-sqlplus-10.2.0.4-1.i386.rpm

It requires GREATER than or equal to 10.2.0

I think 11.2.0.1.0-1 is greater than 10.2.0.4-1
 
Old 09-02-2010, 03:24 PM   #3
custangro
Senior Member
 
Registered: Nov 2006
Location: California
Distribution: Fedora , CentOS , RHEL
Posts: 1,978

Original Poster
Blog Entries: 1

Rep: Reputation: 209Reputation: 209Reputation: 209
Quote:
Originally Posted by smoker View Post
It doesnt require oracle-instantclient-sqlplus-10.2.0.4-1.i386.rpm

It requires GREATER than or equal to 10.2.0

I think 11.2.0.1.0-1 is greater than 10.2.0.4-1
Then I don't know what's wrong because...

Code:
[root@spacewalk tmp]# rpm -qa | grep oracle
oracle-instantclient11.2-sqlplus-11.2.0.1.0-1
oracle-xe-univ-10.2.0.1-1.0
oracle-instantclient11.2-basic-11.2.0.1.0-1
I have 11 installed...
 
Old 09-02-2010, 03:58 PM   #4
smoker
Senior Member
 
Registered: Oct 2004
Distribution: Fedora Core 4, 12, 13, 14, 15, 17
Posts: 2,279

Rep: Reputation: 249Reputation: 249Reputation: 249
Is there an update for spacewalk, or are you using yum ?
 
Old 09-02-2010, 04:04 PM   #5
custangro
Senior Member
 
Registered: Nov 2006
Location: California
Distribution: Fedora , CentOS , RHEL
Posts: 1,978

Original Poster
Blog Entries: 1

Rep: Reputation: 209Reputation: 209Reputation: 209
Quote:
Originally Posted by smoker View Post
Is there an update for spacewalk, or are you using yum ?
I am using yum

Code:
[root@spacewalk ~]# cat /etc/yum.repos.d/spacewalk.repo 
[spacewalk]
name=Spacewalk
baseurl=http://spacewalk.redhat.com/yum/1.1/RHEL/5/$basearch/
gpgkey=http://spacewalk.redhat.com/yum/RPM-GPG-KEY-spacewalk-2010
enabled=1
gpgcheck=1
-C
 
Old 09-02-2010, 04:11 PM   #6
custangro
Senior Member
 
Registered: Nov 2006
Location: California
Distribution: Fedora , CentOS , RHEL
Posts: 1,978

Original Poster
Blog Entries: 1

Rep: Reputation: 209Reputation: 209Reputation: 209
Interesting...the ">=" changed to "=" when I specified my arch...

Code:
[root@spacewalk ~]# yum -y install oracle-lib-compat.x86_64
Loaded plugins: fastestmirror, rhnplugin, security
Loading mirror speeds from cached hostfile
 * epel: mirrors.solfo.com
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package oracle-lib-compat.x86_64 0:10.2-22.el5 set to be updated
--> Processing Dependency: oracle-instantclient-sqlplus = 10.2.0.4 for package: oracle-lib-compat
--> Finished Dependency Resolution
oracle-lib-compat-10.2-22.el5.x86_64 from spacewalk has depsolving problems
  --> Missing Dependency: oracle-instantclient-sqlplus = 10.2.0.4 is needed by package oracle-lib-compat-10.2-22.el5.x86_64 (spacewalk)
Error: Missing Dependency: oracle-instantclient-sqlplus = 10.2.0.4 is needed by package oracle-lib-compat-10.2-22.el5.x86_64 (spacewalk)
 You could try using --skip-broken to work around the problem
 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest
The program package-cleanup is found in the yum-utils package.


-C
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Spacewalk like package for Ubuntu based distributions? linuxlover.chaitanya Linux - Software 11 06-30-2011 04:49 AM
Trouble installing Wireless Card on RHEL 5 rampage76 Linux - Newbie 4 10-04-2009 07:12 PM
LXer: Red Hat Ditching Oracle for Network/Spacewalk LXer Syndicated Linux News 0 12-02-2008 06:30 PM
trouble installing ndiswrapper in rhel 4 <newbie> rwkelly Linux - Desktop 1 08-30-2006 11:05 PM
Trouble installing Oracle 9.0.2 on RHEL 3.0 GAVollink Red Hat 5 01-06-2004 11:30 AM

LinuxQuestions.org > Forums > Enterprise Linux Forums > Linux - Enterprise

All times are GMT -5. The time now is 11:16 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration